#!/usr/bin/perl
# Delete multiple storage locations

require './server-manager-lib.pl';
&can_action_error(undef, "global");
&ReadParse();
&error_setup($text{'storage_err3'});
&error_if_cloudmin_replica();

# Validate inputs
@storages = &list_storages();
@d = split(/\0/, $in{'d'});
@d || &error($text{'storage_enone'});
@d < @storages || &error($text{'storage_enoneleft'});

# Do the deletion
foreach $d (@d) {
	($storage) = grep { $_->{'id'} eq $d } @storages;
	if ($storage) {
		&delete_storage($storage);
		}
	}

&webmin_log("delete", "storages", scalar(@d));
&redirect("list_storages.cgi");
