#!/usr/bin/perl
# Show a list of image storage locations

require './server-manager-lib.pl';
&can_action_error(undef, "global");
&ui_print_header(undef, $text{'storages_title'}, "", "storages");

@links = ( &select_all_link("d"), &select_invert_link("d"),
	   "<a href='edit_storage.cgi?new=1'>$text{'storages_add'}</a>" );
@storages = &list_storages();
print &ui_form_start("delete_storages.cgi", "post");
print &ui_links_row(\@links);
@tds = ( "width=5" );
%locmap = map { $_->{'id'}, $_->{'desc'} } &list_locations();
print &ui_columns_start([ "",
			  $text{'storages_desc'},
			  $text{'storages_dest'},
			  $text{'storages_size'},
			  $text{'storages_loc'}, ], 100, 0, \@tds);
foreach $s (sort { lc($a->{'desc'}) cmp lc($b->{'desc'}) } @storages) {
	if (!$s->{'location'}) {
		$locs = "<i>$text{'storages_anyloc'}</i>";
		}
	else {
		$locs = join(", ", map { $locmap{$_} }
				       split(/\s+/, $s->{'location'}));
		}
	print &ui_checked_columns_row([
		"<a href='edit_storage.cgi?id=$s->{'id'}'>".
		 &html_escape($s->{'desc'})."</a>",
		&nice_image_destination($s->{'dest'}),
		&nice_size($s->{'size'}),
		$locs,
		], \@tds, "d", $s->{'id'});
	}
print &ui_columns_end();
print &ui_links_row(\@links);
print &ui_form_end([ [ undef, $text{'storages_delete'} ] ]);

&ui_print_footer("", $text{'index_return'});

